<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */
class Pruefziffer_00 implements IPruefziffer
{
  public static function check($pKtoNr, $pBlz, $pGewichtung = array(), $pPruefZifferStelle = 9)
  {
    if (empty($pGewichtung)) {
      $gewichtung = array(0, 2, 1, 2, 1, 2, 1, 2, 1, 2);
    } else {
      $gewichtung = $pGewichtung;
    }

    $ktoNr = str_pad($pKtoNr, 10, '0', STR_PAD_LEFT);
    $strZahl = strrev($ktoNr);

    $ary = PruefZiffHelpers::gewichtenQS($strZahl, $gewichtung);

    $summe = array_sum($ary);

    $result = (10 - ($summe % 10)) % 10;

    return ($result == $ktoNr[$pPruefZifferStelle]);
  }
}